#ifndef _HOST_INFO_H_
#define _HOST_INFO_H_

/*
   *
   * host_info.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License, or
   * (at your option) any later version.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/


#include <sys/utsname.h>


#define HOST_SHORT_NAME		"nodename"
#define HOST_SYSTEM_NAME	"sysname"
#define HOST_ARCHITECTURE	"machine"
#define HOST_KERNEL_RELEASE	"release"
#define HOST_KERNEL_VERSION	"version"


struct utsname *u_name;


/* Get host information */
char* get_local_host_info(char *local_host_info)
{
	u_name = (struct utsname *) 
		xmalloc (sizeof(struct utsname));

	if (uname (u_name) < 0)
	    return NULL;

	if (!strcmp (local_host_info, HOST_SHORT_NAME))
	    return u_name->nodename;
	else if (!strcmp (local_host_info, HOST_SYSTEM_NAME))
	    return u_name->sysname;
	else if (!strcmp (local_host_info, HOST_ARCHITECTURE))
	    return u_name->machine;
	else if (!strcmp (local_host_info, HOST_KERNEL_RELEASE))
	    return u_name->release;
	else if (!strcmp (local_host_info, HOST_KERNEL_VERSION))
	    {
		if (u_name->version)
		    return u_name->version;
		else
		    return NULL;
	    }

	return NULL;
}	    



/* NIN */

#endif /* _HOST_INFO_H_ */

