#ifndef _INTERFACE_LTYPE_H_
#define _INTERFACE_LTYPE_H_

/*
   *
   * interface_ltype.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License, or
   * (at your option) any later version.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/


/* Interfaces link type */
#define LTYPE_UNKNOWN		0
#define LTYPE_UNSPEC		1
#define LTYPE_LOOPBACK		2
#define LTYPE_ETHERNET		3
#define LTYPE_TOKENRING		4
#define LTYPE_IPV6INIPV4	5
#define LTYPE_PPP		6
#define LTYPE_IPPP		7
#define LTYPE_SLIP		8
#define LTYPE_FDDI		9
#define LTYPE_ARCNET		10



int get_interface_ltype(char *ife)
{
	if (isdigit (ife[strlen(ife) - 1]) != 0)
	    {
		/* Ethernet "eth" */
		if ((strncmp (ife, ETHERNET, strlen(ife) - 2)) == 0)
		    return LTYPE_ETHERNET;
		/* Token Ring "tr" */
		else if ((strncmp (ife, TOKEN_RING, strlen(ife) - 2)) == 0)
		    return LTYPE_TOKENRING;
		/* 6BONE "sit" */
		else if ((strncmp (ife, IPV6_IN_IPV4, strlen(ife) - 2)) == 0)
		    return LTYPE_IPV6INIPV4;
		/* MoDem Point to point Protocol "ppp" */
		else if ((strncmp (ife, MODEM_PPP, strlen(ife) - 2)) == 0)
		    return LTYPE_PPP;
		/* ISDN Point to point Protocol "ippp" */
		else if ((strncmp (ife, ISDN_PPP, strlen(ife) - 2)) == 0)
		    return LTYPE_IPPP;
		/* Serial Line "sl" */
		else if ((strncmp (ife, SERIAL_LINE, strlen(ife) - 2)) == 0)
		    return LTYPE_SLIP;
		/* Fiber Distributed Data (FDDI) "fddi" */
		else if ((strncmp (ife, FDDI, strlen(ife) - 2)) == 0)
		    return LTYPE_FDDI;
		/* ARCnet "arc" */
		else if ((strncmp (ife, ARCNET, strlen(ife) - 2)) == 0)
		    return LTYPE_ARCNET;
		/* Unknown */
		else
		    return LTYPE_UNKNOWN;
	    }
	else
	    {
		/* Local Loopback "lo" */
		if ((strcmp (ife, LOOPBACK)) == 0)
		    return LTYPE_LOOPBACK;
		/* Unspecified "un" FIXME: That is name for unspecified ife? */
		else if ((strcmp (ife, UNSPEC)) == 0)
		    return LTYPE_UNSPEC;
		/* Unspecified "unspec" 
		    FIXME: That is name for unspecified ife? */
		else if ((strcmp (ife, UNSPEC_FIX)) == 0)
		    return LTYPE_UNSPEC;
		/* Unknown */
		else
		    return LTYPE_UNKNOWN;
	    }

	/* Return LTYPE_UNKNOWN == 0 */
	return LTYPE_UNKNOWN;
}



/* NIN */

#endif /* _INTERFACE_LTYPE_H_ */


