#ifndef _SOCKET_H_
#define _SOCKET_H_

/*
   *
   * socket.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License, or
   * (at your option) any later version.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/


struct socket
{
	int socket;		/* Socket description */
	int family;		/* Protocol/Address family */
	int type;		/* Socket type:
				    SOCK_STREAM		1 -> stream connection
				    SOCK_DGRAM		2 -> datagram connection
				    SOCK_RAW		3 -> raw 
				    SOCK_SEQPACKET	5 -> sequential packet
				    SOCK_PACKET	       10 -> linux specific way 
							    of getting packets 
							    at the dev level. 
							    For writing rarp 
							    and	other similar 
							    things on the user 
							    level. */

	int reuse;		/* for setsockopt(SO_REUSEADDR) */
	int keepalive;		/* for setsockopt(SO_KEEPALIVE) */
	int linger;		/* for setsockopt(SO_LINGER) */
	int rcv_buf;		/* for setsockopt(SO_RCVBUF) */
	int snd_buf;		/* for setsockopt(SO_SNDBUF) */
};



/* NIN */

#endif /* _SOCKET_H_ */

