#ifndef _TERMINAL_SETTING_H_
#define _TERMINAL_SETTING_H_

/*
   *
   * terminal_setting.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/


#define TERM_ENV	"TERM"
#define TERM_LINUX	"linux"
#define TERM_VT100	"vt100"
#define TERM_VT200	"vt200"
#define TERM_VT300	"vt300"
#define TERM_XTERM	"xterm"
#define TERM_ETERM	"Eterm"
#define TERM_RXVT	"rxvt"


int set_terminal_type(char *term_name)
{
	if (strcmp (getenv(TERM_ENV), term_name))
	    {
		if (!strcmp (term_name, TERM_LINUX))
		    return putenv(TERM_ENV"="TERM_LINUX);
		else if (!strcmp (term_name, TERM_VT100))
		    return putenv(TERM_ENV"="TERM_VT100);
		else if (!strcmp (term_name, TERM_VT200))
		    return putenv(TERM_ENV"="TERM_VT200);
		else if (!strcmp (term_name, TERM_VT300))
		    return putenv(TERM_ENV"="TERM_VT300);
		else if (!strcmp (term_name, TERM_XTERM))
		    return putenv(TERM_ENV"="TERM_XTERM);
		else if (!strcmp (term_name, TERM_ETERM))
		    return putenv(TERM_ENV"="TERM_ETERM);
		else if (!strcmp (term_name, TERM_RXVT))
		    return putenv(TERM_ENV"="TERM_RXVT);
	    }

	return putenv(term_name);
}


/* NIN */

#endif /* _TERMINAL_SETTING_H_ */

